import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { NavigationService } from '../../services/navigation/navigation.service';
import 'metismenu';
import { AuthenticationService, NotificationService } from '@xdf/commons';
export declare class NavigationComponent implements OnInit {
    private router;
    private navigationService;
    private authenticationService;
    private notificationService;
    navigationList: any;
    accessList: any;
    constructor(router: Router, navigationService: NavigationService, authenticationService: AuthenticationService, notificationService: NotificationService);
    ngOnInit(): void;
    private buildAuthorizedMenu;
    changeMenu(event: any): void;
    private showMenu;
    trackByFn(index: any, item: any): any;
    activeRoute(routename: string): boolean;
}
