import { OnInit } from '@angular/core';
import { AuthenticationService, User } from '@xdf/commons';
import { Router } from '@angular/router';
import { SidebarRightComponent } from '../sidebar-right/sidebar-right.component';
import { SettingsService, ApplicationSettings } from '../../services/settings.service';
export declare class TopnavbarComponent implements OnInit {
    private router;
    private authenticationService;
    private settingsService;
    sidebarRight: SidebarRightComponent;
    applicationSettings: ApplicationSettings;
    loggedIn: User;
    constructor(router: Router, authenticationService: AuthenticationService, settingsService: SettingsService);
    ngOnInit(): void;
    toggleRightSideBarForRoles(): void;
    toggleRightSideBarForSettings(): void;
    toggleNavigation(): void;
    logout(): void;
}
