import { ViewContainerRef } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import { ConfirmationDialogComponent } from '../confirmation-dialog.component';
export declare class ConfirmationDialogService {
    dialog: MatDialog;
    answer: boolean;
    componentRef: MatDialogRef<ConfirmationDialogComponent>;
    constructor(dialog: MatDialog);
    loadComponent(viewContainerRef: ViewContainerRef, title: string, message: string): Observable<boolean>;
}
