import { OnInit, EventEmitter } from '@angular/core';
import { ValidatorUtils } from '../../../utils/validator-utils';
import { FormGroupUtils } from '../../../utils/form-group-utils';
import { DataService } from '../../crud/services/data.service';
export declare class AutoCompleteComponent implements OnInit {
    private formGroupUtils;
    private validatorUtils;
    label: string;
    placeholder: string;
    values: any[];
    showInline: boolean;
    name: string;
    suggest: string;
    disabled: boolean;
    required: boolean;
    options: any;
    formGroup: any;
    service: DataService;
    initialDesc: string;
    selected: EventEmitter<any>;
    loaded: boolean;
    filterInServer: boolean;
    minLength: number;
    sourceValue: string;
    sourceLabel: string;
    filteredOptions: any;
    isLoading: boolean;
    isUpdateForm: boolean;
    constructor(formGroupUtils: FormGroupUtils, validatorUtils: ValidatorUtils);
    ngOnInit(): void;
    private prepareAllData;
    onFocus($event: any): void;
    private filter;
    private prepareAsyncData;
    private _filter;
    sortByName(a: any, b: any): 1 | -1 | 0;
    displayFn(value: any): string;
    getErrors(): any[];
    optionSelected($event: any): void;
}
