import { NativeDateAdapter } from '@angular/material/core';
export declare const PICK_FORMATS: {
    parse: {
        dateInput: {
            month: string;
            year: string;
            day: string;
        };
    };
    display: {
        dateInput: string;
        monthYearLabel: {
            year: string;
            month: string;
        };
        dateA11yLabel: {
            year: string;
            month: string;
            day: string;
        };
        monthYearA11yLabel: {
            year: string;
            month: string;
        };
    };
};
export declare class PickDateAdapter extends NativeDateAdapter {
    format(date: Date, displayFormat: any): string;
}
