import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { FormGroupUtils } from '../../../utils/form-group-utils';
export declare class CheckboxGroupComponent implements OnInit, OnChanges {
    private formGroupUtils;
    private formBuilder;
    label: string;
    values: [];
    showInline: boolean;
    name: string;
    suggest: string;
    disabled: boolean;
    required: boolean;
    options: any;
    formGroup: any;
    items: any;
    formArrayGroup: any;
    selectedValues: string[];
    constructor(formGroupUtils: FormGroupUtils, formBuilder: FormBuilder);
    ngOnInit(): void;
    updateValue(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getLabel(index: any): any;
}
